cmake_minimum_required(VERSION 3.26)

project(Sudoku)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(LIB_SOURCE_FILES
  solver/cell.cpp
  solver/puzzle.cpp
  solver/solver.cpp
)

add_library(solver ${LIB_SOURCE_FILES})
target_include_directories(solver PUBLIC "${PROJECT_SOURCE_DIR}")

add_executable(test_solver solver.cpp)
target_link_libraries(test_solver PUBLIC solver)

add_executable(test_case_partition test_case_partition.cpp)
target_link_libraries(test_case_partition PUBLIC solver)
